Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxDmaAcc.h File Reference API of the IXP425 DMA Access Driver Component (IxDma). More... Go to the source code of this file.
## Defines
#define | IX_DMA_REQUEST_FULL
| DMA request queue is full This constant is a return value used to tell the user that the IxDmaAcc queue is full.
## Typedefs
typedef UINT32 | IxDmaAccRequestId
| DMA Request Id type.
typedef void(* | IxDmaAccDmaCompleteCallback )(IxDmaReturnStatus status)
| DMA completion notification This function is called to notify a client that the DMA has been completed.
## Enumerations
enum | IxDmaReturnStatus { IX_DMA_SUCCESS, IX_DMA_FAIL, IX_DMA_INVALID_TRANSFER_WIDTH, IX_DMA_INVALID_TRANSFER_LENGTH, IX_DMA_INVALID_TRANSFER_MODE, IX_DMA_INVALID_ADDRESS_MODE, IX_DMA_REQUEST_FIFO_FULL }
| Dma return status definitions. More...
enum | IxDmaTransferMode { IX_DMA_COPY_CLEAR, IX_DMA_COPY, IX_DMA_COPY_BYTE_SWAP, IX_DMA_COPY_REVERSE, IX_DMA_TRANSFER_MODE_INVALID }
| Dma transfer mode definitions. More...
enum | IxDmaAddressingMode { IX_DMA_INC_SRC_INC_DST, IX_DMA_INC_SRC_FIX_DST, IX_DMA_FIX_SRC_INC_DST, IX_DMA_FIX_SRC_FIX_DST, IX_DMA_ADDRESSING_MODE_INVALID }
| Dma addressing mode definitions. More...
enum | IxDmaTransferWidth { IX_DMA_32_SRC_32_DST, IX_DMA_32_SRC_16_DST, IX_DMA_32_SRC_8_DST, IX_DMA_16_SRC_32_DST, IX_DMA_16_SRC_16_DST, IX_DMA_16_SRC_8_DST, IX_DMA_8_SRC_32_DST, IX_DMA_8_SRC_16_DST, IX_DMA_8_SRC_8_DST, IX_DMA_8_SRC_BURST_DST, IX_DMA_16_SRC_BURST_DST, IX_DMA_32_SRC_BURST_DST, IX_DMA_BURST_SRC_8_DST, IX_DMA_BURST_SRC_16_DST, IX_DMA_BURST_SRC_32_DST, IX_DMA_BURST_SRC_BURST_DST, IX_DMA_TRANSFER_WIDTH_INVALID }
| Dma transfer width definitions Fixed addresses (either source or destination) do not support burst transfer width. More...
enum | IxDmaNpeId { IX_DMA_NPEID_NPEA, IX_DMA_NPEID_NPEB, IX_DMA_NPEID_NPEC, IX_DMA_NPEID_MAX }
| NpeId numbers to identify NPE A, B or C. More...
## Functions
PUBLIC IX_STATUS | ixDmaAccInit (IxNpeDlNpeId npeId)
| Initialise the DMA Access component This function will initialise the DMA Access component internals.
PUBLIC IxDmaReturnStatus | ixDmaAccDmaTransfer (IxDmaAccDmaCompleteCallback callback, UINT32 SourceAddr, UINT32 DestinationAddr, UINT16 TransferLength, IxDmaTransferMode TransferMode, IxDmaAddressingMode AddressingMode, IxDmaTransferWidth TransferWidth)
| Perform DMA transfer This function will perform DMA transfer between devices within the IXP425 memory map.
PUBLIC IX_STATUS | ixDmaAccShow (void)
| Display some component information for debug purposes Show some internal operation information relating to the DMA service. At a minimum the following will show. -the number of the DMA pend (in queue).
## Detailed Description API of the IXP425 DMA Access Driver Component (IxDma). Date: 15 October 2002 Design notes: The mbuf address is to be specified in the least significant 28-bit location [0:27]. The most significant 4-bit [31:29] are for interal use only. Version: Revision 1.10 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxDmaAcc.h.
Automatically generated from sources. © Intel Corp. 2003